Package org.apache.felix.http.javaxwrappers

# Class HttpServletRequestWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletRequestWrapper
org.apache.felix.http.javaxwrappers.HttpServletRequestWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

public class HttpServletRequestWrapper extends ServletRequestWrapper implements javax.servlet.http.HttpServletRequest
Http servlet request wrapper

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`HttpServletRequestWrapper(@NotNull jakarta.servlet.http.HttpServletRequest r)`
Create new request

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticate(javax.servlet.http.HttpServletResponse response)`
`String`
`changeSessionId()`
`String`
`getAuthType()`
`String`
`getContextPath()`
`javax.servlet.http.Cookie[]`
`getCookies()`
`long`
`getDateHeader(String name)`
`String`
`getHeader(String name)`
`Enumeration<String>`
`getHeaderNames()`
`Enumeration<String>`
`getHeaders(String name)`
`javax.servlet.http.HttpServletMapping`
`getHttpServletMapping()`
`int`
`getIntHeader(String name)`
`String`
`getMethod()`
`javax.servlet.http.Part`
`getPart(String name)`
`Collection<javax.servlet.http.Part>`
`getParts()`
`String`
`getPathInfo()`
`String`
`getPathTranslated()`
`String`
`getQueryString()`
`String`
`getRemoteUser()`
`String`
`getRequestedSessionId()`
`String`
`getRequestURI()`
`StringBuffer`
`getRequestURL()`
`String`
`getServletPath()`
`javax.servlet.http.HttpSession`
`getSession()`
`javax.servlet.http.HttpSession`
`getSession(boolean create)`
`Map<String,String>`
`getTrailerFields()`
`Principal`
`getUserPrincipal()`
`boolean`
`isRequestedSessionIdFromCookie()`
`boolean`
`isRequestedSessionIdFromUrl()`
`boolean`
`isRequestedSessionIdFromURL()`
`boolean`
`isRequestedSessionIdValid()`
`boolean`
`isTrailerFieldsReady()`
`boolean`
`isUserInRole(String role)`
`void`
`login(String username, String password)`
`void`
`logout()`
`javax.servlet.http.PushBuilder`
`newPushBuilder()`
`<T extends javax.servlet.http.HttpUpgradeHandler>
T`
`upgrade(Class<T> handlerClass)`

### Methods inherited from class org.apache.felix.http.javaxwrappers.ServletRequestWrapper

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, getTranslatedAttributeName, getWrapper, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

## Constructor Details

### HttpServletRequestWrapper

public HttpServletRequestWrapper(@NotNull @NotNull jakarta.servlet.http.HttpServletRequest r)
Create new request

Parameters:
  `r` - wrapped request

## Method Details

### getAuthType

public String getAuthType()

Specified by:
  `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

### getCookies

public javax.servlet.http.Cookie[] getCookies()

Specified by:
  `getCookies` in interface `javax.servlet.http.HttpServletRequest`

### getDateHeader

public long getDateHeader(String name)

Specified by:
  `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeaders

public Enumeration<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

### getHeaderNames

public Enumeration<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

### getIntHeader

public int getIntHeader(String name)

Specified by:
  `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `javax.servlet.http.HttpServletRequest`

### getPathInfo

public String getPathInfo()

Specified by:
  `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

### getPathTranslated

public String getPathTranslated()

Specified by:
  `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

### getContextPath

public String getContextPath()

Specified by:
  `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

### getQueryString

public String getQueryString()

Specified by:
  `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

### getRemoteUser

public String getRemoteUser()

Specified by:
  `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

### isUserInRole

public boolean isUserInRole(String role)

Specified by:
  `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

### getUserPrincipal

public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

### getRequestedSessionId

public String getRequestedSessionId()

Specified by:
  `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURI

public String getRequestURI()

Specified by:
  `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURL

public StringBuffer getRequestURL()

Specified by:
  `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

### getServletPath

public String getServletPath()

Specified by:
  `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

### getSession

public javax.servlet.http.HttpSession getSession(boolean create)

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getSession

public javax.servlet.http.HttpSession getSession()

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

### changeSessionId

public String changeSessionId()

Specified by:
  `changeSessionId` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

public boolean isRequestedSessionIdValid()

Specified by:
  `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromCookie

public boolean isRequestedSessionIdFromCookie()

Specified by:
  `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromURL

public boolean isRequestedSessionIdFromURL()

Specified by:
  `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromUrl

public boolean isRequestedSessionIdFromUrl()

Specified by:
  `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

### authenticate

public boolean authenticate(javax.servlet.http.HttpServletResponse response) throws IOException, javax.servlet.ServletException

Specified by:
  `authenticate` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### login

public void login(String username, String password) throws javax.servlet.ServletException

Specified by:
  `login` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `javax.servlet.ServletException`

### logout

public void logout() throws javax.servlet.ServletException

Specified by:
  `logout` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `javax.servlet.ServletException`

### getParts

public Collection<javax.servlet.http.Part> getParts() throws IOException, javax.servlet.ServletException

Specified by:
  `getParts` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### getPart

public javax.servlet.http.Part getPart(String name) throws IOException, javax.servlet.ServletException

Specified by:
  `getPart` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### upgrade

public <T extends javax.servlet.http.HttpUpgradeHandler> T upgrade(Class<T> handlerClass) throws IOException, javax.servlet.ServletException

Specified by:
  `upgrade` in interface `javax.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### getHttpServletMapping

public javax.servlet.http.HttpServletMapping getHttpServletMapping()

Specified by:
  `getHttpServletMapping` in interface `javax.servlet.http.HttpServletRequest`

### newPushBuilder

public javax.servlet.http.PushBuilder newPushBuilder()

Specified by:
  `newPushBuilder` in interface `javax.servlet.http.HttpServletRequest`

### getTrailerFields

public Map<String,String> getTrailerFields()

Specified by:
  `getTrailerFields` in interface `javax.servlet.http.HttpServletRequest`

### isTrailerFieldsReady

public boolean isTrailerFieldsReady()

Specified by:
  `isTrailerFieldsReady` in interface `javax.servlet.http.HttpServletRequest`